[ng\:cloak],
[ng-cloak],
.ng-cloak {
    display: none !important;
}

[ng\:cloak],
[ng-cloak],
[data-ng-cloak],
[x-ng-cloak],
.ng-cloak,
.x-ng-cloak {
    /*display: block !important;*/
}

/*
.ng-invalid.ng-dirty { border-color: tomato !important; }

.ng-valid.ng-dirty { border-color: springgreen !important; }
*/

body {
    margin: 0 auto
}

.cls {
    clear  : both;
    content: "";
    display: block;
}

.tabCnt {
    width      : 100%;
    font-size  : 18px;
    font-family: Ubuntu, sans-serif;
    margin     : 20px 0 40px 0;
    display    : inline-block;
}

.tab {
    color       : #666;
    font-weight : 100;
    float       : left;
    border-right: 1px solid #e6e6e6;
    padding     : 16px 20px;
    background  : #f6f6f6;
    cursor      : pointer;
}

@media (max-width: 540px) {
    .tab {
        width: 100%;
    }
}

.tab:nth-last-child(1) {
    border-right: none !important;
}

.cnt {
    flex-basis       : 100%;
    flex-wrap        : wrap;
    /*justify-content: center;*/
    max-width        : 1000px;
    display          : none;
}

.active {
    background: #58A457;
    color     : #fff;
}


#cnt-1 {
    display: inherit;
}

.flexColumn {
    flex-direction: column;
}

.baseLine {
    position   : relative;
    line-height: 40px;
    margin     : 0 0 20px;
}

.baseLine i {
    font-size: 17px;
    color    : #666;
}

.baseLine input[type=number] {
    width    : 50px;
    border   : 1.5px solid #e6e6e6;
    font-size: 17px;
    color    : #666;
    margin   : 0 10px 0 190px;
}

.baseLine input[type=range] {
    position: absolute;
    left    : 30px;
    top     : 15px;
    width   : 170px !important;
    display : inline-block;
}

input[type=range] {
    /*height          : 23px;*/
    -webkit-appearance: none;
    margin            : 10px 0;
    /*width           : 100%;*/
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    width        : 100%;
    height       : 3px;
    cursor       : pointer;
    animate      : 0.2s;
    /*box-shadow : 0px 0px 0px #000000;*/
    background   : #DEDEDE;
    border-radius: 2px;
    border       : 0px solid #000000;
}

input[type=range]::-webkit-slider-thumb {
    box-shadow        : 0px 0px 0px #000000;
    border            : 0px solid #000000;
    height            : 17px;
    width             : 17px;
    border-radius     : 17px;
    background        : #58A457;
    cursor            : pointer;
    -webkit-appearance: none;
    margin-top        : -7px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: #DEDEDE;
}

input[type=range]::-moz-range-track {
    width        : 100%;
    height       : 3px;
    cursor       : pointer;
    animate      : 0.2s;
    box-shadow   : 0px 0px 0px #000000;
    background   : #DEDEDE;
    border-radius: 2px;
    border       : 0px solid #000000;
}

input[type=range]::-moz-range-thumb {
    /*box-shadow : 0px 0px 0px #000000;*/
    border       : 0px solid #000000;
    height       : 17px;
    width        : 17px;
    border-radius: 17px;
    background   : #58A457;
    cursor       : pointer;
}

input[type=range]::-ms-track {
    width       : 100%;
    height      : 3px;
    cursor      : pointer;
    animate     : 0.2s;
    background  : transparent;
    border-color: transparent;
    color       : transparent;
}

input[type=range]::-ms-fill-lower {
    background   : #DEDEDE;
    border       : 0px solid #000000;
    border-radius: 4px;
    box-shadow   : 0px 0px 0px #000000;
}

input[type=range]::-ms-fill-upper {
    background   : #DEDEDE;
    border       : 0px solid #000000;
    border-radius: 4px;
    box-shadow   : 0px 0px 0px #000000;
}

input[type=range]::-ms-thumb {
    margin-top   : 1px;
    box-shadow   : 0px 0px 0px #000000;
    border       : 0px solid #000000;
    height       : 17px;
    width        : 17px;
    border-radius: 10px;
    background   : #58A457;
    cursor       : pointer;
}

input[type=range]:focus::-ms-fill-lower {
    background: #DEDEDE;
}

input[type=range]:focus::-ms-fill-upper {
    background: #DEDEDE;
}

.lbl,
.lbl input,
.lbl span {
    font-size  : 17px;
    font-family: Ubuntu, sans-serif;
    color      : #666;
    float      : left;
}

.lbl {
    margin-left: 10px;
}

.lbl span {
    margin-top: 10px;
}

.lbl input {
    margin-top  : 13px !important;
    margin-right: 9px !important;
    cursor      : pointer;
}

.icon {
    float           : left;
    cursor          : pointer;
    display         : block;
    background-color: #CFCFCF;
    width           : 60px;
    height          : 40px;
    font-size       : 0.8em;
}

.icon1 {
    background: url(i/icon1.png) no-repeat 7px 0
}

.icon2 {
    background: url(i/icon2.png) no-repeat 7px 0
}

.icon3 {
    background: url(i/icon3.png) no-repeat 7px 0
}

.icon4 {
    background: url(i/icon4.png) no-repeat 7px 0
}

.icon5 {
    background: url(i/icon5.png) no-repeat 7px 0
}

.colorHdrs {
    font-size  : 19px;
    font-family: Ubuntu, sans-serif;
    font-weight: 500;
    color      : #333;
    margin     : 20px 0 15px 0;
}

.selectColor {
    width     : 50%;
    text-align: left;
    padding   : 10px 30px;
    margin    : auto;
}

.dachColor {
    background: #fff9f9;
}

.wandeColor {
    background: #f6f6f6;
}

.selectColor .color-container {
    display: inline-block;
    margin : 0;
}

.selectColor .color-block {
    text-align   : center;
    color        : #fff;
    width        : 90px;
    line-height  : 50px;
    display      : inline-block;
    border-radius: 3px;
    margin       : 10px;
    font-size    : 13px;
    font-family  : Ubuntu, sans-serif;
}

.addonsLine select {
    font-size           : 17px;
    font-family         : Ubuntu, sans-serif;
    color               : #666;
    border              : 1.5px solid #e6e6e6;
    border-radius       : none !important;
    background          : none;
    width               : 300px;
    padding             : 8px;
    margin              : 10px 0 5px 0;
    /*-webkit-appearance:none;*/
    /*-moz-appearance   :none;*/
}

#innerwrap {
    padding: 0 !important;
}

#pop {
    display: none;
}

input[type=number] {
    -moz-appearance: textfield;
}

.wallBox {
    flex-grow : 1;
    flex-basis: auto;
    margin    : 0 10px 20px;
    border    : 1.5px solid #e6e6e6;
    padding   : 0 10px 10px;
}

.colorsPopup {
    top       : 0;
    bottom    : 0;
    left      : 0;
    right     : 0;
    padding   : 100px 15px 30px 15px;
    position  : fixed;
    text-align: center;
    cursor    : auto;
    z-index   : 16;
    background: rgba(0, 0, 0, 0.2);
    display   : none;
}

.colorsPopupBackground {
    width     : 340px;
    display   : inline-block;
    background: rgba(0, 0, 0, 0.4);
    text-align: center;
}

.colorsPopupHeader {}

.colorsPopupHeader span {
    color: #fff;
}

.insidePop {
    padding      : 0px 40px;
    border-radius: 2px;
    overflow     : auto;
    background   : rgba(255, 255, 255, 0.2);
}

.h360 {
    height: 360px;
}

.insidePop div {
    /*color:#ccc;*/
}

.wallTitle {
    font-size    : 19px;
    font-family  : Ubuntu, sans-serif;
    font-weight  : 500;
    color        : #333;
    margin       : 5px -10px 15px;
    border-bottom: 1.5px solid #e6e6e6;
    padding      : 0 5px 5px 0;
}

.wallTitle i {
    background  : #e6e6e6;
    padding     : 8px 15px;
    margin-right: 7px;
}

.ctlAdd {
    display       : flex;
    flex-direction: row;
}

.ctlAdd select {
    font-size           : 17px;
    font-family         : Ubuntu, sans-serif;
    color               : #666;
    border              : 1.5px solid #e6e6e6;
    border-radius       : none !important;
    background          : none;
    flex                : 1;
    padding             : 8px;
    margin              : 10px 0 5px 0;
    /*-webkit-appearance:none;*/
    /*-moz-appearance   :none;*/
}

.ctlAdd button {
    border : 0px;
    flex   : 0;
    padding: 0 15px;
    margin : 10px 5px 5px 15px;
}

.pickColor {
    width  : 20px;
    height : 15px;
    display: inline-block;
    border : 1px solid #e6e6e6;
    float  : right;
    margin : 4px;
}

.ctlHdr {
    font-size  : 17px;
    font-family: Ubuntu, sans-serif;
    color      : #666;
}

.ctlRemove {
    float : right;
    cursor: pointer;
}

.pickColor {
    cursor: pointer;
}

.wallBox div {
    margin: 20px 0;
}

#askForm {
    width     : 100%;
    text-align: center;
}

::placeholder,
::-moz-placeholder {
    color: #666 !important;
}

#askForm .st-row,
#askForm .nd-row {
    display       : flex;
    flex-direction: row;
    margin        : 0 0 20px 0;
}

#askForm .st-row span:last-child {
    margin: 0 !important;
}

#askForm .nd-row span:last-child {
    margin: 0 !important;
}

#askForm input,
#askForm textarea,
#askForm select {
    flex         : 1 auto;
    width        : 100%;
    font-size    : 17px;
    font-family  : Ubuntu, sans-serif;
    color        : #666;
    border       : 1.5px solid #e6e6e6;
    border-radius: 0 !important;
    padding      : 8px;
    height       : initial !important;
}

#askForm textarea[name=message] {
    resize: none;
}

#askForm input[name=ustid] {
    flex       : 1 1;
    margin-left: 20px !important;
}

#askForm select[name=assoc] {
    flex      : 1 1;
    padding   : 10px 12px 10px 4px !important;
    background: none !important;
}

.rel {
    display     : flex;
    flex        : 1 auto;
    position    : relative;
    margin-right: 20px;
}

.rel2 {
    position    : relative;
    margin-right: 20px;
}

#formErrorInfo {
    position  : absolute;
    margin-top: -20px;
    color     : indianred;
}

#askForm .send {
    background : #58A457;
    color      : #fff;
    border     : none;
    padding    : 16px 20px;
    font-weight: 100;
    cursor     : pointer;
    font-size  : 18px;
    margin     : 0 0 40px 0;
}

.myModal {
    top        : 0;
    bottom     : 0;
    right      : 0;
    left       : 0;
    position   : fixed;
    width      : 100%;
    height     : 100%;
    background : rgba(255, 255, 255, 0.7);
    font-size  : 17px;
    font-family: Ubuntu, sans-serif;
    color      : #666;
    display    : table;
}

.myModal span {
    display       : table-cell;
    vertical-align: middle;
}

.state {
    font-size: 3.7em;
}

.loading {
    color: blue;
}

.error {
    color: tomato;
}

.success {
    color: springgreen;
}

.RODO {
    text-align: left;
}


.big_block {
    padding: 20px 0 0 0;
    border : 0;
}

#cnt-4 optgroup:not([label="Tore"]) {
    display: none;
}

#cnt-5 optgroup[label="Tore"] {
    display: none;
}

.render {
    text-align: left;
    position  : relative;
}

.render canvas {
    width : 600px;
    height: 300px;
}

@media (max-width: 1080px) {
    .render {
        text-align: center;
    }
}

.billboard {
    background: #000;
    opacity   : 0.6;
    display   : block;
    color     : #FFF;
    position  : absolute;
    left      : 0.3em;
    top       : 0.3em;
}

@media (max-width: 1079px) {
    .billboard {
        left: 4.2em;
    }
}

@media (max-width: 991px) {
    .billboard {
        left: 0.3em;
    }
}

@media (max-width: 899px) {
    .billboard {
        left: 0.6em;
    }
}

@media (max-width: 767px) {
    .billboard {
        left: 6.6em
    }
}

@media (max-width: 540px) {
    .billboard {
        left: -1.7em;
    }
}

.billboard table {
    margin     : 0.8em;
    font-size  : 0.8em;
    line-height: 1.5;
}

.billboard td {
    padding: 0 0.4em;
}


.underRender {}

.playbackControl {}

.gateMissing {
    margin: 0 0 0 30px;
    color : tomato;
}



span.baseValue {
    display: none;
}

span.baseInfo {
    display    : inline-block;
    position   : absolute;
    left       : 0px;
    top        : 30px;
    line-height: normal;
}

.baseIcon:before {
    width: 1.25em !important;
}


footer {
    margin-top: 20px;
}

@media (max-width: 480px) {
    .container {
        padding: 0;
        margin : 0;
    }

    .col-xs-12 {
        padding: 0;
        margin : 0;
    }
}